PIP 0.7.1 Platform-Independent Primitives

Public Member Functions | Friends | List of all members
PIByteArray::RawData Struct Reference

Help struct to store/restore custom blocks of data to/from PIByteArray. More...

## Public Member Functions
| RawData (void *data=0, int size=0)
| Constructs data block.
| RawData (const void *data, const int size)
| Constructs data block.

## Friends
PIByteArray & | operator<< (PIByteArray &s, const PIByteArray::RawData &v)
| Store operator, see Attention for details.
PIByteArray & | operator>> (PIByteArray &s, PIByteArray::RawData v)
| Restore operator, see Attention for details.

## Detailed Description

Help struct to store/restore custom blocks of data to/from PIByteArray.